s = [input(), input(), input()]
for i,v in enumerate(s):
    if not v in "FizzBuzz":
        num = int(v) + (3-i)
        print("FizzBuzz" if num%15==0 else "Fizz" if num%3==0 else "Buzz" if num%5==0 else num)
        break